httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 53512] New: OPENSSL_NO_SSL_INTERN should not be defined with OPENSSL_VERSION_NUMBER 0x10001000
Date Thu, 05 Jul 2012 13:09:36 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=53512

          Priority: P2
            Bug ID: 53512
          Assignee: bugs@httpd.apache.org
           Summary: OPENSSL_NO_SSL_INTERN should not be defined with
                    OPENSSL_VERSION_NUMBER 0x10001000
          Severity: major
    Classification: Unclassified
                OS: NetBSD
          Reporter: ryo_on@yk.rim.or.jp
          Hardware: PC
            Status: NEW
           Version: 2.4.2
         Component: mod_ssl
           Product: Apache httpd-2

Created attachment 29033
  --> https://issues.apache.org/bugzilla/attachment.cgi?id=29033&action=edit
Exclude 0x10001000

OPENSSL_VERSION_NUMBER 0x10001000 (pre-beta snapshot of OpenSSL 1.0.1) does not
have some functions, for example SSL_SESSION_get_compress_id.
PLease exclude 0x10001000 from the conditional of OPENSSL_NO_SSL_INTERN
definition.

NetBSD 6.99.8 and 6.0_BETA2 are shipped with OPENSSL_VERSION_NUMBER 0x10001000.
Please see http://gnats.netbsd.org/46655 .

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message